Auto Upgrade

Get

get

Retrieve the Auto-upgrade settings of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to retrieve the Auto-upgrade settings.

Responses
chevron-right
200

Success

application/json; api-version=1.0

Auto-upgrade Settings

enabledbooleanOptional

Enable auto-upgrade maintenance window

startDateTimestring · date-timeOptional

Start Date

drainModeDurationInSecsnumber · doubleOptional

Drain mode duration

forceLogoffSessionsbooleanOptional

Force logoff sessions at the end of the drain mode period

repeatstring · enumOptional

Repeat Type

Possible values:
specificDaysstring[Flag] · enumOptional

Repeat Specific Days

Possible values:
get
/api/AVD/HostPool/{id}/AutoUpgrade

Update

put

Update the Auto-upgrade settings of a session server with the specified ID.

Path parameters
idinteger · int32Required

The ID of a session server for which to modify the Auto-upgrade settings.

Body

Modify the Auto-upgrade settings

enabledboolean · nullableOptional

Enable auto-upgrade maintenance window

startDateTimestring · date-time · nullableOptional

Start Date

drainModeDurationInSecsnumber · double · nullableOptional

Drain mode duration

forceLogoffSessionsboolean · nullableOptional

Force logoff sessions at the end of the drain mode period

repeatstring · enumOptional

Repeat Type

Possible values:
specificDaysstring[Flag] · enumOptional

Repeat Specific Days

Possible values:
Responses
put
/api/AVD/HostPool/{id}/AutoUpgrade

No content

Last updated